import React, { PropsWithChildren } from 'react';
import { ImageSourcePropType } from 'react-native';
export declare type ActionSheetProps = {
    visible: boolean;
    actions: {
        name: string;
        subName?: string;
        color?: string;
        fontSize?: number;
        disabled?: boolean;
        icon?: ImageSourcePropType;
        iconSize?: number;
    }[];
    showCheckStatus?: boolean;
    checkIndex?: number;
    checkSize?: number;
    checkColor?: string;
    cancelText?: string;
    onClose: () => void;
    onClickItem: (index: number) => void;
};
declare const ActionSheet: React.FC<PropsWithChildren<ActionSheetProps>>;
export default ActionSheet;
