import React from 'react';
import { ImageSourcePropType, ViewStyle } from 'react-native';
declare type Props = {
    fill: string;
    width: number;
    height: number;
    svgXmlData: string;
    source?: ImageSourcePropType;
    style?: ViewStyle;
};
declare type State = {
    svgXmlData: string;
};
export default class SvgUri extends React.Component<Props, State> {
    private isComponentMounted;
    constructor(props: Props);
    UNSAFE_componentWillMount(): void;
    UNSAFE_componentWillUnmount(): void;
    UNSAFE_componentWillReceiveProps(nextProps: Props): void;
    fecthSVGData(uri: string): Promise<string | null>;
    createSVGElement(node: any, child: any): JSX.Element | null;
    obtainComponentAttrs({ attributes }: any, enabledAttributes: any): {};
    inspectNode(node: any): JSX.Element | null;
    render(): JSX.Element | null;
}
export {};
